[arch-commits] Commit in gvfs/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 19:43:59 UTC 2008


    Date: Sunday, July 20, 2008 @ 15:43:59
  Author: jgc
Revision: 5769

Merged revisions 4040-5768 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gvfs/trunk

........
  r5767 | jgc | 2008-07-20 19:42:29 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: gvfs 0.2.5-2
      Fix FS#10615
........

Added:
  gvfs/repos/extra-i686/bug536614.patch
    (from rev 5767, gvfs/trunk/bug536614.patch)
Modified:
  gvfs/repos/extra-i686/	(properties)
  gvfs/repos/extra-i686/PKGBUILD
  gvfs/repos/extra-i686/gvfs.install

-----------------+
 PKGBUILD        |    9 ++++++---
 bug536614.patch |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 gvfs.install    |    4 ----
 3 files changed, 53 insertions(+), 7 deletions(-)


Property changes on: gvfs/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gvfs/trunk:1-4039
   + /gvfs/trunk:1-5768

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-20 19:42:41 UTC (rev 5768)
+++ extra-i686/PKGBUILD	2008-07-20 19:43:59 UTC (rev 5769)
@@ -3,7 +3,7 @@
 
 pkgname=gvfs
 pkgver=0.2.5
-pkgrel=1
+pkgrel=2
 pkgdesc="Userspace virtual filesystem implemented as a pluggable module for gio"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -12,11 +12,14 @@
 url="http://www.gnome.org"
 install=gvfs.install
 options=(!libtool)
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.2/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('01676053d9481022ade9a5274576541b')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.2/${pkgname}-${pkgver}.tar.bz2
+	bug536614.patch)
+md5sums=('01676053d9481022ade9a5274576541b'
+         '80e6b702f3a28dc3fc3b94b06f4442fd')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np2 -i ${srcdir}/bug536614.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --libexecdir=/usr/lib/gvfs || return 1

Copied: gvfs/repos/extra-i686/bug536614.patch (from rev 5767, gvfs/trunk/bug536614.patch)
===================================================================
--- extra-i686/bug536614.patch	                        (rev 0)
+++ extra-i686/bug536614.patch	2008-07-20 19:43:59 UTC (rev 5769)
@@ -0,0 +1,47 @@
+--- branches/gnome-2-22/client/gvfsfusedaemon.c	2008/05/23 03:22:22	1784
++++ branches/gnome-2-22/client/gvfsfusedaemon.c	2008/07/18 23:18:04	1821
+@@ -313,9 +313,11 @@
+                                      (gpointer *) &fh))
+       goto out;
+ 
++  g_hash_table_steal (global_fh_table, old_path);
++
+   g_free (fh->path);
+   fh->path = g_strdup (new_path);
+-  g_hash_table_steal (global_fh_table, old_path);
++
+   g_hash_table_insert (global_fh_table, fh->path, fh);
+ 
+  out:
+@@ -959,11 +961,15 @@
+ 
+               /* Set up a stream here, so we can check for errors */
+ 
++              g_mutex_lock (fh->mutex);
++
+               if (fi->flags & O_WRONLY || fi->flags & O_RDWR)
+                 result = setup_output_stream (file, fh);
+               else
+                 result = setup_input_stream (file, fh);
+ 
++              g_mutex_unlock (fh->mutex);
++
+               /* The added reference to the file handle is released in vfs_release() */
+             }
+           else if (file_type == G_FILE_TYPE_DIRECTORY)
+@@ -1047,11 +1053,14 @@
+ 
+               SET_FILE_HANDLE (fi, fh);
+ 
+-              g_assert (fh->stream == NULL);
++              g_mutex_lock (fh->mutex);
+ 
++              file_handle_close_stream (fh);
+               fh->stream = file_output_stream;
+               fh->op = FILE_OP_WRITE;
+ 
++              g_mutex_unlock (fh->mutex);
++
+               /* The added reference to the file handle is released in vfs_release() */
+             }
+           else

Modified: extra-i686/gvfs.install
===================================================================
--- extra-i686/gvfs.install	2008-07-20 19:42:41 UTC (rev 5768)
+++ extra-i686/gvfs.install	2008-07-20 19:43:59 UTC (rev 5769)
@@ -12,7 +12,3 @@
 _EOF
 
 }
-
-post_upgrade() {
-  post_install
-}





More information about the arch-commits mailing list